[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDBDataset.Transaction

Transaction in which this dataset is running.

## Declaration

Source position: db.pas line 1838

`public property TDBDataset.Transaction : TDBTransaction read FTransaction write SetTransaction;`

## Description

Transaction points to a TDBTransaction component that represents the transaction this dataset is active in. This property should only be used for databases that support transactions.

The property can only be set when the dataset is disabled.

## See also

TDBTransaction |  | Encapsulate a transaction
TDBDataset.Database |  | Database this dataset is connected to

Documentation generated on: Feb 26 2014